package com.sxc.etaxincome.common.util;

import ch.qos.logback.core.PropertyDefinerBase;
import cn.hutool.http.HttpUtil;
import lombok.extern.slf4j.Slf4j;
import org.apache.commons.lang3.StringUtils;

/**
 * @author caosongqing
 * @date 2022/10/31
 * @description
 */
@Slf4j
public class LogIpConfig extends PropertyDefinerBase {

    private String getIpUrl = "http://ocr.taxservices.cn/opserver/myip.do";

    @Override
    public String getPropertyValue() {
        String ip;
        ip = IPUtils.getIP();
        if (StringUtils.isBlank(ip) || "127.0.0.1".equals(ip)) {
            try {
                ip = HttpUtil.get(getIpUrl);
                log.info("get ip:{} with url:{}", ip, getIpUrl);
            } catch (Exception ex) {
                log.error("get ip error:", ex);
            }
        }
        log.info("log with ip: {}", ip);
        return ip;
    }
}
