package com.sxc.etaxincome.domain.command.analysis;

import com.sxc.etaxincome.criteria.IncomeQueryCommon;
import com.sxc.etaxincome.domain.business.IMonitorManager;
import com.sxc.etaxincome.domain.model.report.AnalysisCriteria;
import com.sxc.etaxincome.domain.support.DateProvider;
import com.sxc.framework.common.date.DateUtils;
import com.sxc.framework.common.json.JSONUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.time.LocalDateTime;
import java.time.format.DateTimeFormatter;

@Component(value = "areaGroupCommand")
public class AreaGroupCommand implements IAnalysisCommand {

    @Autowired
    private IMonitorManager monitorManager;

    @Override
    public String handle(AnalysisCriteria analysisCriteria) {
        IncomeQueryCommon incomeQueryCommon = IncomeQueryCommon.builder()
                .userName(analysisCriteria.getUsername())
                .startDateTime(LocalDateTime.parse(DateProvider.getLongDateTimeHead(analysisCriteria.getStartDateTime()), DateTimeFormatter.ofPattern(DateUtils.YMDHMS_DASH)))
                .endDateTime(LocalDateTime.parse(DateProvider.getLongDateTimeTail(analysisCriteria.getEndDateTime()), DateTimeFormatter.ofPattern(DateUtils.YMDHMS_DASH)))
                .build();
        return JSONUtil.toString(monitorManager.statAreaIncome(incomeQueryCommon));
    }
}
