package com.sxc.etaxincome.domain.model.common;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @author caosongqing
 * @date 2022/9/20
 * @description
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class CommonRequestWrapper implements Serializable {
    private static final long serialVersionUID = 191691175092676480L;
    /**
     * request serial number
     */
    @NotNull(message = "请求流水号不能为空")
    @Length(message = "请求流水号最大长度范围1-50", min = 1, max = 50)
    private String requestSerialNo;

    /**
     * username
     */
    @NotNull(message = "用户名不能为空")
    @Length(message = "用户名不能为空", min = 1)
    private String username;

    /**
     * sign
     */
    @NotNull(message = "签名字符串不能为空")
    @Length(message = "签名字符串不能为空", min = 1)
    private String sign;

    /**
     * 接口类型
     */
    private String rtype;

    /**
     * timestamp
     */
    @NotNull(message = "时间戳不能为空")
    @Length(message = "时间戳格式为yyyyMMddHHmmss", min = 14, max = 14)
    private String timestamp;

    /**
     * request business data
     */
    @NotNull(message = "业务数据不能为空")
    @Length(message = "业务数据不能为空", min = 1)
    private String data;
}
