package com.sxc.etaxincome.enums;

import lombok.Getter;

/**
 * @author caosongqing
 * @date 2024/4/24
 * @description
 */
@Getter
public enum ApiCode {
    REPORT("1001", "申报"),
    FORCE_REPORT("1002", "申报强制提交"),
    CANCEL_REPORT("1901", "申报作废"),
    QUERY_CANCEL_PAGE_LIST("2001", "查询作废列表"),
    QUERY_REPORT_PAGE_LIST("2002", "查询申报列表"),
    QUERY_REPORT_ITEM("2003", "申报信息明细查询");

    private final String code;
    private final String desc;
    ApiCode(String code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public static ApiCode as(String code) {
        for (ApiCode apiCode : ApiCode.values()) {
            if (apiCode.code.equals(code)) {
                return apiCode;
            }
        }
        return null;
    }
}
